# This file is automatically @generated by Cargo.
# It is not intended for manual editing.
+version = 3
+
[[package]]
name = "bitflags"
version = "1.2.1"
[[package]]
name = "power-instruction-analyzer"
-version = "0.2.0"
+version = "0.2.1"
dependencies = [
"power-instruction-analyzer-proc-macro",
"pyo3",
[[package]]
name = "power-instruction-analyzer-proc-macro"
-version = "0.2.0"
+version = "0.2.1"
dependencies = [
"proc-macro2",
"quote",
# See Notices.txt for copyright information
[package]
name = "power-instruction-analyzer"
-version = "0.2.0"
+version = "0.2.1"
authors = ["Jacob Lifshay <programmerjake@gmail.com>"]
edition = "2018"
license = "LGPL-2.1-or-later"
[dependencies.power-instruction-analyzer-proc-macro]
path = "power-instruction-analyzer-proc-macro"
-version = "=0.2.0"
+version = "=0.2.1"
[workspace]
members = [
".",
"power-instruction-analyzer-proc-macro",
-]
\ No newline at end of file
+]
--- /dev/null
+#!/bin/bash
+set -e
+
+function fail()
+{
+ echo "error: $@" >&2
+ exit 1
+}
+
+cargo_version="$(cargo --version)" || fail "can't find cargo, install it from https://rustup.rs/"
+[[ "$cargo_version" =~ ^'cargo 1.'([0-9]+)'.'[0-9]+' ' ]] || fail "can't parse cargo's version string"
+(( "${BASH_REMATCH[1]}" >= 53 )) || fail 'your rust version is not recent enough, update your rust version using `rustup update`'
+python3 -m pip install 'maturin>=0.11,<0.12'
+scripts="$(python3 -m sysconfig | sed 's/^\tscripts = "\([^"]\+\)"$/\1/p; d')"
+[[ -d "$scripts" ]] || fail "can't find python's \`scripts\` directory"
+rm -f target/wheels/power_instruction_analyzer-*.whl
+"$scripts"/maturin build --compatibility linux --cargo-extra-args=--features=python-extension -i python3 --release --no-sdist
+python3 -m pip install target/wheels/power_instruction_analyzer-*.whl
\ No newline at end of file
# See Notices.txt for copyright information
[package]
name = "power-instruction-analyzer-proc-macro"
-version = "0.2.0"
+version = "0.2.1"
authors = ["Jacob Lifshay <programmerjake@gmail.com>"]
edition = "2018"
license = "LGPL-2.1-or-later"
[dependencies]
quote = "1.0"
proc-macro2 = "1.0"
-syn = { version = "1.0", features = ["full", "parsing", "extra-traits"] }
\ No newline at end of file
+syn = { version = "1.0", features = ["full", "parsing", "extra-traits"] }
# SPDX-License-Identifier: LGPL-2.1-or-later
# See Notices.txt for copyright information
[build-system]
-requires = ["maturin"]
+requires = ["maturin>=0.11,<0.12"]
build-backend = "maturin"
[tool.maturin]
bindings = "pyo3"
cargo-extra-args = "--features python-extension"
-sdist-include = ["power-instruction-analyzer-proc-macro/**/*"]
\ No newline at end of file
+sdist-include = ["power-instruction-analyzer-proc-macro/**/*"]